package com.ningdatech.pmapi.stream;

import org.flowable.task.api.history.HistoricTaskInstance;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * @Classname stream
 * @Description
 * @Date 2023/4/3 14:52
 * @Author PoffyZhang
 */
public class stream {

    @Test
    public void test(){
        List<Integer> list = new ArrayList<>();
        list.add(1);
        list.add(2);
        list.add(2);
        list.add(3);
        list.add(3);
        list.add(1);
        list.add(1);
        list.add(1);

        Set<Integer> set = list.stream().collect(Collectors.toSet());
        System.out.println(set);
    }

}
